import React from "react";
import DataTable from "../../Layout/Dashboard/Table/DataTable";
import { useColumns } from "./useTableColumns";
import useSearchQuery from "../../api/utils/useSearchQuery";
import { useGetAllPackage } from "../../api/package";
const App: React.FC = () => {
  const [searchQuery] = useSearchQuery("name");

  const response = useGetAllPackage({
    name: searchQuery,
    pagination: true,
  });

  return <DataTable response={response} useColumns={useColumns} />;
};

export default App;
